Bug 455044 - Using -q on a kernel tree will not find ESPIPE
Using -q on a kernel tree will not find ESPIPE
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cscope (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 12:56 EDT by Eric Paris
Modified: 2010-11-29 06:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-29 06:53:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2008-07-11 12:56:52 EDT
Description of problem:

[root@paris ~]# rpm -q cscope
cscope-15.6-2
This is actually cscope-15.6-2.fc10.src.rpm rebuilt on RHEL5 x86_64 (where the
same problem exists)

Pull and upstream kernel tree
run cscope -R -k -q
look for the global symbol ESPIPE
UTTER FAIL!

run cscope -R -k
look for the global symbol ESPIPE
WORKS!
Comment 1 Bug Zapper 2008-11-25 21:32:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomas Hoger 2009-05-06 04:30:15 EDT
Just out of curiosity, have you tried the same on i386 / using 32-bit build?  Doing some read through invlib.c, I've spotted this:

  logicalblk.invblk[3+2*numinvitems++] = iteminfo.packword[0];
  logicalblk.invblk[2+2*numinvitems] = iteminfo.packword[1];

If numinvitems is e.g. 30, iteminfo metadata is written to indexes 63 and 64.  Later in the code, one can see:

  holditems = numinvitems;
  [ ... ]
    iteminfo.packword[0] =
      logicalblk.invblk[--holditems * 2 + (sizeof(long) - 1)];

This seems to be an attempt to read what was previously written.  Constant 3 in the write is probably expected to be the same as (sizeof(long) - 1)?  Though that is not true on modern 64 bit systems, so this accesses index 67 which may be uninitialized or have some outdated info.  I failed to build a good enough understanding of the data file format, so not sure what may be consequences.

Another unrelated issue: in ENTRY, size is defined as unsigned char.  strlen(thisterm) is written to size.  If thisterm is rather long (probably unlikely in normal code), len gets silently truncated / wrapped.
Comment 3 Bug Zapper 2009-11-18 07:36:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:14:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Neil Horman 2009-12-18 08:39:40 EST
Eric, do me a favor, try this again on a kernel tree, this seems to be working for me.
Comment 6 Bug Zapper 2010-03-15 08:02:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Neil Horman 2010-07-13 11:07:54 EDT
eric, did you ever try this again?
Comment 8 Neil Horman 2010-11-29 06:53:11 EST
closing due to no response

Note You need to log in before you can comment on or make changes to this bug.